Bug 182484 - [UPDATE] multimedia/x264 to 0.136.2358
Summary: [UPDATE] multimedia/x264 to 0.136.2358
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-29 12:50 UTC by Martin Matuska
Modified: 2013-10-07 10:57 UTC (History)
0 users

See Also:


Attachments
file.diff (6.98 KB, patch)
2013-09-29 12:50 UTC, Martin Matuska
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Matuska freebsd_committer 2013-09-29 12:50:00 UTC
Update x264 to version 0.136.2358
Comment 1 Edwin Groothuis freebsd_committer 2013-09-29 12:50:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->koobs

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Koop Mast 2013-10-01 11:26:05 UTC
Please note that the portrevision bump in gstreamer-plugins and 
gstreamer1-plugins is wrong, like the text above them explains. The 
slave ports that deal with the x264 plugins should be bumped instead. So 
the portrevision in multimedia/gstreamer-plugins-x264 and 
multimedia/gstreamer1-plugins-x264 should be bumped.

-Koop
Comment 3 dfilter service freebsd_committer 2013-10-07 10:21:25 UTC
Author: koobs
Date: Mon Oct  7 09:21:13 2013
New Revision: 329667
URL: http://svnweb.freebsd.org/changeset/ports/329667

Log:
  multimedia/x264: Update to 20130827 snapshot
  
  - Update to 20130827 snapshot
  - Add CONFIGURE_ARGS to disable OpenCL, fixes configure failure
  - Chase library version bump in dependent ports
  
  PR:		ports/182484
  Submitted by:	mm
  Reviewed by:	kwm, bapt

Modified:
  head/multimedia/ffmpeg-devel/Makefile
  head/multimedia/ffmpeg/Makefile
  head/multimedia/ffmpeg1/Makefile
  head/multimedia/gstreamer-plugins-x264/Makefile   (contents, props changed)
  head/multimedia/gstreamer1-plugins-x264/Makefile
  head/multimedia/libav/Makefile
  head/multimedia/libquicktime/Makefile
  head/multimedia/lives/Makefile
  head/multimedia/mencoder/Makefile
  head/multimedia/mpeg4ip/Makefile
  head/multimedia/transcode/Makefile
  head/multimedia/vlc/Makefile
  head/multimedia/x264/Makefile
  head/multimedia/x264/distinfo   (contents, props changed)
  head/net/opal/Makefile

Modified: head/multimedia/ffmpeg-devel/Makefile
==============================================================================
--- head/multimedia/ffmpeg-devel/Makefile	Mon Oct  7 09:04:10 2013	(r329666)
+++ head/multimedia/ffmpeg-devel/Makefile	Mon Oct  7 09:21:13 2013	(r329667)
@@ -3,7 +3,7 @@
 
 PORTNAME=	ffmpeg
 DISTVERSION=	2012-10-13
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	multimedia audio ipv6 net
 MASTER_SITES=	http://git.videolan.org/
 PKGNAMESUFFIX=	-devel

Modified: head/multimedia/ffmpeg/Makefile
==============================================================================
--- head/multimedia/ffmpeg/Makefile	Mon Oct  7 09:04:10 2013	(r329666)
+++ head/multimedia/ffmpeg/Makefile	Mon Oct  7 09:21:13 2013	(r329667)
@@ -3,7 +3,7 @@
 
 PORTNAME=	ffmpeg
 PORTVERSION=	0.7.15
-PORTREVISION=	1
+PORTREVISION=	2
 PORTEPOCH=	1
 CATEGORIES=	multimedia audio ipv6 net
 MASTER_SITES=	http://ffmpeg.org/releases/
@@ -355,7 +355,7 @@ CONFIGURE_ARGS+=	--disable-libvpx
 
 # x264
 .if ${PORT_OPTIONS:MX264}
-LIB_DEPENDS+=	x264.125:${PORTSDIR}/multimedia/x264
+LIB_DEPENDS+=	x264:${PORTSDIR}/multimedia/x264
 CONFIGURE_ARGS+=	--enable-libx264
 .else
 CONFIGURE_ARGS+=	--disable-libx264

Modified: head/multimedia/ffmpeg1/Makefile
==============================================================================
--- head/multimedia/ffmpeg1/Makefile	Mon Oct  7 09:04:10 2013	(r329666)
+++ head/multimedia/ffmpeg1/Makefile	Mon Oct  7 09:21:13 2013	(r329667)
@@ -3,6 +3,7 @@
 
 PORTNAME=	ffmpeg
 PORTVERSION=	1.2.3
+PORTREVISION=	1
 CATEGORIES=	multimedia audio ipv6 net
 MASTER_SITES=	http://ffmpeg.org/releases/
 PKGNAMESUFFIX=	1

Modified: head/multimedia/gstreamer-plugins-x264/Makefile
==============================================================================
--- head/multimedia/gstreamer-plugins-x264/Makefile	Mon Oct  7 09:04:10 2013	(r329666)
+++ head/multimedia/gstreamer-plugins-x264/Makefile	Mon Oct  7 09:21:13 2013	(r329667)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 #   $MCom: ports/multimedia/gstreamer-plugins-x264/Makefile,v 1.3 2008/03/19 14:05:37 ahze Exp $
 
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	multimedia
 
 COMMENT=	Gstreamer x264 plugin

Modified: head/multimedia/gstreamer1-plugins-x264/Makefile
==============================================================================
--- head/multimedia/gstreamer1-plugins-x264/Makefile	Mon Oct  7 09:04:10 2013	(r329666)
+++ head/multimedia/gstreamer1-plugins-x264/Makefile	Mon Oct  7 09:21:13 2013	(r329667)
@@ -1,6 +1,6 @@
 # $FreeBSD$
 
-PORTREVISION=	0
+PORTREVISION=	1
 CATEGORIES=	multimedia
 
 COMMENT=	Gstreamer x264 plugin

Modified: head/multimedia/libav/Makefile
==============================================================================
--- head/multimedia/libav/Makefile	Mon Oct  7 09:04:10 2013	(r329666)
+++ head/multimedia/libav/Makefile	Mon Oct  7 09:21:13 2013	(r329667)
@@ -2,7 +2,7 @@
 
 PORTNAME=	libav
 PORTVERSION=	9.9
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	multimedia audio ipv6 net
 MASTER_SITES=	http://libav.org/releases/
 

Modified: head/multimedia/libquicktime/Makefile
==============================================================================
--- head/multimedia/libquicktime/Makefile	Mon Oct  7 09:04:10 2013	(r329666)
+++ head/multimedia/libquicktime/Makefile	Mon Oct  7 09:21:13 2013	(r329667)
@@ -3,7 +3,7 @@
 
 PORTNAME=	libquicktime
 PORTVERSION=	1.2.4
-PORTREVISION?=	4
+PORTREVISION?=	5
 CATEGORIES=	multimedia
 MASTER_SITES=	SF
 
@@ -130,7 +130,7 @@ CONFIGURE_ARGS+=	--without-faad2
 .endif
 
 .if ${PORT_OPTIONS:MX264}
-LIB_DEPENDS+=	x264.125:${PORTSDIR}/multimedia/x264
+LIB_DEPENDS+=	x264:${PORTSDIR}/multimedia/x264
 PLIST_SUB+=	X264=""
 CONFIGURE_ARGS+=	--with-x264
 .else

Modified: head/multimedia/lives/Makefile
==============================================================================
--- head/multimedia/lives/Makefile	Mon Oct  7 09:04:10 2013	(r329666)
+++ head/multimedia/lives/Makefile	Mon Oct  7 09:21:13 2013	(r329667)
@@ -3,6 +3,7 @@
 
 PORTNAME=	lives
 PORTVERSION=	2.0.5
+PORTREVISION=	1
 CATEGORIES=	multimedia
 MASTER_SITES=	http://salsaman.home.xs4all.nl/lives/current/
 DISTNAME=	LiVES-${PORTVERSION}

Modified: head/multimedia/mencoder/Makefile
==============================================================================
--- head/multimedia/mencoder/Makefile	Mon Oct  7 09:04:10 2013	(r329666)
+++ head/multimedia/mencoder/Makefile	Mon Oct  7 09:21:13 2013	(r329667)
@@ -3,7 +3,7 @@
 
 PORTNAME=	mencoder
 PORTVERSION=	${MPLAYER_PORT_VERSION}
-PORTREVISION=	0
+PORTREVISION=	1
 
 COMMENT=	Convenient video file and movie encoder
 
@@ -88,7 +88,7 @@ CONFIGURE_ARGS+=	--disable-faac
 .endif
 
 .if ${PORT_OPTIONS:MX264}
-LIB_DEPENDS+=		x264.125:${PORTSDIR}/multimedia/x264
+LIB_DEPENDS+=		x264:${PORTSDIR}/multimedia/x264
 .else
 CONFIGURE_ARGS+=	--disable-x264
 .endif

Modified: head/multimedia/mpeg4ip/Makefile
==============================================================================
--- head/multimedia/mpeg4ip/Makefile	Mon Oct  7 09:04:10 2013	(r329666)
+++ head/multimedia/mpeg4ip/Makefile	Mon Oct  7 09:21:13 2013	(r329667)
@@ -3,7 +3,7 @@
 
 PORTNAME=	mpeg4ip
 PORTVERSION=	1.6.1
-PORTREVISION=	26
+PORTREVISION=	27
 CATEGORIES=	multimedia audio ipv6 net
 MASTER_SITES=	LOCAL/ahze
 # http://sourceforge.net/forum/forum.php?thread_id=1839453&forum_id=59136

Modified: head/multimedia/transcode/Makefile
==============================================================================
--- head/multimedia/transcode/Makefile	Mon Oct  7 09:04:10 2013	(r329666)
+++ head/multimedia/transcode/Makefile	Mon Oct  7 09:21:13 2013	(r329667)
@@ -3,7 +3,7 @@
 
 PORTNAME=	transcode
 PORTVERSION=	1.1.7
-PORTREVISION=	8
+PORTREVISION=	9
 CATEGORIES=	multimedia
 MASTER_SITES=	http://cdn.bitbucket.org/france/transcode-tcforge/downloads/
 

Modified: head/multimedia/vlc/Makefile
==============================================================================
--- head/multimedia/vlc/Makefile	Mon Oct  7 09:04:10 2013	(r329666)
+++ head/multimedia/vlc/Makefile	Mon Oct  7 09:21:13 2013	(r329667)
@@ -3,6 +3,7 @@
 
 PORTNAME=	vlc
 DISTVERSION=	2.0.8a
+PORTREVISION=	1
 PORTEPOCH=	4
 CATEGORIES=	multimedia audio ipv6 net www
 MASTER_SITES=	http://download.videolan.org/pub/videolan/${PORTNAME}/${DISTVERSION:S/a$//}/ \

Modified: head/multimedia/x264/Makefile
==============================================================================
--- head/multimedia/x264/Makefile	Mon Oct  7 09:04:10 2013	(r329666)
+++ head/multimedia/x264/Makefile	Mon Oct  7 09:21:13 2013	(r329667)
@@ -3,7 +3,6 @@
 
 PORTNAME=	x264
 PORTVERSION=	0.${X264_BUILD}.${X264_REV}
-PORTREVISION=	1
 CATEGORIES=	multimedia
 MASTER_SITES=	ftp://ftp.videolan.org/pub/videolan/x264/snapshots/ \
 		http://samples.mplayerhq.hu/yuv4mpeg2/:pgo
@@ -20,11 +19,11 @@ LICENSE=	GPLv2
 BUILD_DEPENDS=	yasm>=0.6.0:${PORTSDIR}/devel/yasm \
 		${LOCALBASE}/bin/bash:${PORTSDIR}/shells/bash
 
-X264_BUILD=	125
-X264_REV=	2201
-X264_COMMIT=	37be55213a39db40cf159ada319bd482a1b00680
+X264_BUILD=	136
+X264_REV=	2358
+X264_COMMIT=	3361d59a0a83dcb8b321cc0eb8e6ba68ca49c7d4
 X264_GITVER=	${X264_COMMIT:C/^(.......).*$/\1/g}
-X264_SNAPSHOT=	20120721
+X264_SNAPSHOT=	20130827
 
 USES=		gmake
 USE_BZIP2=	yes
@@ -41,7 +40,8 @@ X11_OUTPUT_DESC=	Enable X11 Output
 
 CONFIGURE_ARGS+=	--extra-cflags="-I${LOCALBASE}/include" \
 			--extra-ldflags="-L${LOCALBASE}/lib" \
-			--enable-static --enable-shared
+			--enable-static --enable-shared \
+			--disable-opencl
 
 PLIST_SUB+=	X264_BUILD=${X264_BUILD}
 

Modified: head/multimedia/x264/distinfo
==============================================================================
--- head/multimedia/x264/distinfo	Mon Oct  7 09:04:10 2013	(r329666)
+++ head/multimedia/x264/distinfo	Mon Oct  7 09:21:13 2013	(r329667)
@@ -1,4 +1,4 @@
-SHA256 (x264/x264-snapshot-20120721-2245-stable.tar.bz2) = 9e8f87d08ee51b4e4b66a3720796c6cf50fc4668946c2d958fcfce236ac73cff
-SIZE (x264/x264-snapshot-20120721-2245-stable.tar.bz2) = 554280
+SHA256 (x264/x264-snapshot-20130827-2245-stable.tar.bz2) = 5e418d6bb0fa8aebd503f7c6298ef0ee007ae8f066811d5427c28edc4a0304ef
+SIZE (x264/x264-snapshot-20130827-2245-stable.tar.bz2) = 619606
 SHA256 (x264/example.y4m.bz2) = a5bec9d37362bd9d7773fbd0644643f9ec096d654d20823004e88d5df32bbff7
 SIZE (x264/example.y4m.bz2) = 4910029

Modified: head/net/opal/Makefile
==============================================================================
--- head/net/opal/Makefile	Mon Oct  7 09:04:10 2013	(r329666)
+++ head/net/opal/Makefile	Mon Oct  7 09:21:13 2013	(r329667)
@@ -3,6 +3,7 @@
 
 PORTNAME=	opal
 PORTVERSION=	3.10.10
+PORTREVISION=	1
 CATEGORIES=	net
 MASTER_SITES=	GNOME
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2013-10-07 10:57:15 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks Martin!